Bug 6426 - Messaging not showing on patron categories
Summary: Messaging not showing on patron categories
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on: 6408
Blocks: 5917
  Show dependency treegraph
 
Reported: 2011-05-27 23:20 UTC by Nicole C. Engard
Modified: 2012-10-25 23:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
no messaging showing on patron categories (29.12 KB, image/png)
2011-05-27 23:20 UTC, Nicole C. Engard
Details
Screenshot of the proposed revised interface (14.13 KB, image/png)
2011-07-14 19:49 UTC, Owen Leonard
Details
Proposed fix (4.53 KB, patch)
2011-07-14 19:50 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-05-27 23:20:55 UTC
Created attachment 4287 [details]
no messaging  showing on  patron categories

On the patron category form the messages always say unknown even if a message is selected and saved. When you click edit, you see the messaging preferences were saved.

Also the sorting is on the edit/delete column instead of the messaging column - see attached.
Comment 1 Nicole C. Engard 2011-05-27 23:22:35 UTC
marked as depends on 6408 because the screenshot i attached is after applying the patch for 6408
Comment 2 Owen Leonard 2011-07-14 19:49:39 UTC
Created attachment 4633 [details]
Screenshot of the proposed revised interface
Comment 3 Owen Leonard 2011-07-14 19:50:53 UTC
Created attachment 4634 [details] [review]
Proposed fix

T:T variable name problems were causing the problem.

I used this opportunity to change the way the data is
output: Now the messaging preferences are only output
if there is a current setting.

Also corrected the js table sorter configuration for
the right columns and moved the template-based table
row striping to the tablesorter plugin config.
Comment 4 Ian Walls 2011-07-14 20:46:04 UTC
Template only change, easy to read, marking as Passed QA
Comment 5 Chris Cormack 2011-07-14 21:52:33 UTC
Pushed, please test